# Uses of Interface
javax.sound.sampled.LineListener

Packages that use LineListener
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.

- ## Uses of LineListener in javax.sound.sampled

  Methods in javax.sound.sampled with parameters of type LineListener
  Modifier and Type
  Method
  Description
  `void`
  Line.`addLineListener(LineListener listener)`
  Adds a listener to this line.
  `void`
  Line.`removeLineListener(LineListener listener)`
  Removes the specified listener from this line's list of listeners.